# -*- encoding: utf-8 -*-
# stub: rotp 6.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rotp".freeze
  s.version = "6.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mark Percival".freeze]
  s.date = "2021-08-27"
  s.description = "Works for both HOTP and TOTP, and includes QR Code provisioning".freeze
  s.email = ["mark@markpercival.us".freeze]
  s.executables = ["rotp".freeze]
  s.files = ["CHANGELOG.md".freeze, "Dockerfile-2.3".freeze, "Dockerfile-2.5".freeze, "Dockerfile-2.6".freeze, "Dockerfile-2.7".freeze, "Dockerfile-3.0-rc".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE".freeze, "README.md".freeze, "bin/rotp".freeze, "doc/ROTP/HOTP.html".freeze, "doc/ROTP/OTP.html".freeze, "doc/ROTP/TOTP.html".freeze, "doc/Rotp.html".freeze, "doc/_index.html".freeze, "doc/class_list.html".freeze, "doc/css/common.css".freeze, "doc/css/full_list.css".freeze, "doc/css/style.css".freeze, "doc/file.README.html".freeze, "doc/file_list.html".freeze, "doc/frames.html".freeze, "doc/index.html".freeze, "doc/js/app.js".freeze, "doc/js/full_list.js".freeze, "doc/method_list.html".freeze, "doc/top-level-namespace.html".freeze, "docker-compose.yml".freeze, "lib/rotp.rb".freeze, "lib/rotp/arguments.rb".freeze, "lib/rotp/base32.rb".freeze, "lib/rotp/cli.rb".freeze, "lib/rotp/hotp.rb".freeze, "lib/rotp/otp.rb".freeze, "lib/rotp/otp/uri.rb".freeze, "lib/rotp/totp.rb".freeze, "lib/rotp/version.rb".freeze, "rotp.gemspec".freeze, "spec/lib/rotp/arguments_spec.rb".freeze, "spec/lib/rotp/base32_spec.rb".freeze, "spec/lib/rotp/cli_spec.rb".freeze, "spec/lib/rotp/hotp_spec.rb".freeze, "spec/lib/rotp/otp/uri_spec.rb".freeze, "spec/lib/rotp/totp_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/mdp/rotp".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "A Ruby library for generating and verifying one time passwords".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5"])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.12"])
  s.add_development_dependency(%q<timecop>.freeze, ["~> 0.8"])
end
